Summary:	Type constraints and coercions for Perl
Name:		perl-Specio
Version:	0.48
Release:	6%{?dist}
License:	Artistic 2.0 and (GPL+ or Artistic)
URL:		https://metacpan.org/release/Specio
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Specio-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Sub::Util) >= 1.40, perl(Scalar::Util), perl(List::Util) >= 1.33, perl(Ref::Util) >= 0.112
BuildRequires:	perl(Devel::StackTrace), perl(Eval::Closure), perl(Carp), perl(Exporter)
BuildRequires:	perl(Test::More) >= 0.96, perl(Test::Fatal), perl(Test::Needs)
BuildRequires:	perl(Role::Tiny) >= 1.003003, perl(Role::Tiny::With)
BuildRequires:	perl(FindBin), perl(overload), perl(lib), perl(utf8)
BuildRequires:	make, perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl-generators, perl-interpreter
BuildRequires:	perl(IO::File), perl(open)
BuildRequires:	perl(Module::Runtime), perl(parent)
BuildRequires:	perl(MRO::Compat)
BuildRequires:	perl(re), perl(strict), perl(warnings)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Sub::Quote)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl(version) >= 0.83
BuildRequires:	perl(File::Spec)
BuildRequires:	coreutils

Requires:	perl(Sub::Util) >= 1.40, perl(Ref::Util) >= 0.112

%global __provides_exclude ^perl\\(_T::.*\\)

%description
The Specio distribution provides classes for representing type constraints
and coercion, along with syntax sugar for declaring them.

Note that this is not a proper type system for Perl. Nothing in this
distribution will magically make the Perl interpreter start checking a value's
type on assignment to a variable. In fact, there's no built-in way to apply a
type to a variable at all.

Instead, you can explicitly check a value against a type, and optionally coerce
values to that type.

%package -n perl-Test-Specio
Summary:	Test helpers for Specio
License:	Artistic 2.0
Requires:	%{name} = %{version}-%{release}

%description -n perl-Test-Specio
This package provides some helper functions and variables for testing Specio
types.

%prep
%autosetup  -n Specio-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CODE_OF_CONDUCT.md CONTRIBUTING.md README.md TODO.md
%{perl_vendorlib}/Specio.pm
%{perl_vendorlib}/Specio/
%{_mandir}/man3/*
%exclude %{_mandir}/man3/Test::Specio.3*

%files -n perl-Test-Specio
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Specio.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.48-6
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.48-5
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.48-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.48-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Oct 31 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.48-2
- Remove requires perl(XString).

* Wed Aug 3 2022 yangke <yangke@redflag-os.com> - 0.48-1
- init build
